# com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InlineQueryResult.abstracts.results.gif - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InlineQueryResult.abstracts.results.gif

## Package com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InlineQueryResult.abstracts.results.gif

### Types

(common)

#### InlineQueryResultGif

`interface InlineQueryResultGif : InlineQueryResultGifCommon, UrlInlineQueryResult, ThumbedInlineQueryResult, SizedInlineQueryResult, DuratedInlineResultQuery`

(common)

#### InlineQueryResultGifCached

`interface InlineQueryResultGifCached : InlineQueryResultGifCommon, WithFileIdInlineQueryResult`

(common)

#### InlineQueryResultGifCommon

`interface InlineQueryResultGifCommon : InlineQueryResult, OptionallyTitledInlineQueryResult, CaptionedOutput, WithInputMessageContentInlineQueryResult`

### Properties

(common)

#### inlineQueryResultGifType

`const val inlineQueryResultGifType: String`